BACKUP_LISTVOLSETS(8)

NAME
backup_listvolsets - Lists volume set entries from the Backup Database

SYNOPSIS
backup listvolsets [-name <volume set name>] [-localauth]
    [-cell <cell name>] [-help]

backup listv [-n <volume set name>] [-l]
    [-c <cell name>] [-h]

DESCRIPTION
The backup listvolsets command displays the Backup Database records for either

•   All volume sets and their volume entries, if the -name argument is omitted.

•   The volume set specified by the -name argument, along with its volume entries.

OPTIONS

-name <volume set name>
    Names the volume set to display. If this argument is omitted, the output lists all volume sets defined in the Backup Database.

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The entry for each volume set begins with the "Volume set" header and the volume set's name. A temporary volume set's name is followed by the string " (temporary)". Each volume entry follows on a separate line, indicating the entry's index number and the server, partition, and volume names it matches. The output uses the metacharacter notation described on the backup addvolentry reference page. Use the index number to identify volume entries when deleting them with the backup delvolentry command.

EXAMPLES
The following example shows the volume entries in the three volume sets currently defined in the Backup Database:

   % backup listvolsets
   Volume set user:
       Entry   1: server .*, partition .*, volumes: user.*\.backup
   Volume set sun
       Entry   1: server .*, partition .*, volumes: sun4x_55\..*
       Entry   2: server .*, partition .*, volumes: sun4x_56\..*
   Volume set rs
       Entry   1: server .*, partition .*, volumes: rs_aix42\..*

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
backup(8), backup_addvolentry(8), backup_addvolset(8), backup_delvolentry(8), backup_delvolset(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.